/*
    This file is part of Kismet

    Kismet is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Kismet is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kismet; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "config.h"

#include "tcpheartclient.h"

TcpHeartClient::TcpHeartClient() {

}

TcpHeartClient::~TcpHeartClient() {

}

int TcpHeartClient::Heartbeat() {
    uint8_t dummy = 0;

    if (cl_valid == 0)
        return 0;

    if (write_buf->InsertDummy(1) == 0) {
        snprintf(errstr, 1024, "Heartbeat client - no room in write ring buffer");
        msgbus->InjectMessage(errstr, MSGFLAG_ERROR);
        return -1;
    }

    write_buf->InsertData(&dummy, 1);

    return 1;
}

int TcpHeartClient::ParseData() {
    // Ignore it all

    read_buf->MarkRead(read_buf->FetchLen());

    return 1;
}

int HeartbeatClientTimer(Timetracker::timer_event *evt, void *parm) {
    TcpHeartClient *cli = (TcpHeartClient *) parm;

    cli->Heartbeat();

    return 1;
}

